dnl ***
dnl ** Choose one of the charmap options for m4:
dnl **     -Dcp1251 -Dcp866 -Diso-8859-5 -Dkoi8-r -Dutf-8
dnl ***

ifdef(`cp1251',
`define(`Cyrillic_A', `+192')
define(`Cyrillic_BE', `+193')
define(`Cyrillic_CHE', `+215')
define(`Cyrillic_DE', `+196')
define(`Cyrillic_E', `+221')
define(`Cyrillic_EF', `+212')
define(`Cyrillic_EL', `+203')
define(`Cyrillic_EM', `+204')
define(`Cyrillic_EN', `+205')
define(`Cyrillic_ER', `+208')
define(`Cyrillic_ES', `+209')
define(`Cyrillic_GHE', `+195')
define(`Cyrillic_HA', `+213')
define(`Cyrillic_HARDSIGN', `+218')
define(`Cyrillic_I', `+200')
define(`Cyrillic_IE', `+197')
define(`Cyrillic_IO', `+168')
define(`Cyrillic_KA', `+202')
define(`Cyrillic_O', `+206')
define(`Cyrillic_PE', `+207')
define(`Cyrillic_SHA', `+216')
define(`Cyrillic_SHCHA', `+217')
define(`Cyrillic_SHORTI', `+201')
define(`Cyrillic_SOFTSIGN', `+220')
define(`Cyrillic_TE', `+210')
define(`Cyrillic_TSE', `+214')
define(`Cyrillic_U', `+211')
define(`Cyrillic_VE', `+194')
define(`Cyrillic_YA', `+223')
define(`Cyrillic_YERU', `+219')
define(`Cyrillic_YU', `+222')
define(`Cyrillic_ZE', `+199')
define(`Cyrillic_ZHE', `+198')
define(`Cyrillic_a', `+224')
define(`Cyrillic_be', `+225')
define(`Cyrillic_che', `+247')
define(`Cyrillic_de', `+228')
define(`Cyrillic_e', `+253')
define(`Cyrillic_ef', `+244')
define(`Cyrillic_el', `+235')
define(`Cyrillic_em', `+236')
define(`Cyrillic_en', `+237')
define(`Cyrillic_er', `+240')
define(`Cyrillic_es', `+241')
define(`Cyrillic_ghe', `+227')
define(`Cyrillic_ha', `+245')
define(`Cyrillic_hardsign', `+250')
define(`Cyrillic_i', `+232')
define(`Cyrillic_ie', `+229')
define(`Cyrillic_io', `+184')
define(`Cyrillic_ka', `+234')
define(`Cyrillic_o', `+238')
define(`Cyrillic_pe', `+239')
define(`Cyrillic_sha', `+248')
define(`Cyrillic_shcha', `+249')
define(`Cyrillic_shorti', `+233')
define(`Cyrillic_softsign', `+252')
define(`Cyrillic_te', `+242')
define(`Cyrillic_tse', `+246')
define(`Cyrillic_u', `+243')
define(`Cyrillic_ve', `+226')
define(`Cyrillic_ya', `+255')
define(`Cyrillic_yeru', `+251')
define(`Cyrillic_yu', `+254')
define(`Cyrillic_ze', `+231')
define(`Cyrillic_zhe', `+230')')

ifdef(`cp866',
`define(`Cyrillic_A', `+128')
define(`Cyrillic_BE', `+129')
define(`Cyrillic_CHE', `+151')
define(`Cyrillic_DE', `+132')
define(`Cyrillic_E', `+157')
define(`Cyrillic_EF', `+148')
define(`Cyrillic_EL', `+139')
define(`Cyrillic_EM', `+140')
define(`Cyrillic_EN', `+141')
define(`Cyrillic_ER', `+144')
define(`Cyrillic_ES', `+145')
define(`Cyrillic_GHE', `+131')
define(`Cyrillic_HA', `+149')
define(`Cyrillic_HARDSIGN', `+154')
define(`Cyrillic_I', `+136')
define(`Cyrillic_IE', `+133')
define(`Cyrillic_IO', `+240')
define(`Cyrillic_KA', `+138')
define(`Cyrillic_O', `+142')
define(`Cyrillic_PE', `+143')
define(`Cyrillic_SHA', `+152')
define(`Cyrillic_SHCHA', `+153')
define(`Cyrillic_SHORTI', `+137')
define(`Cyrillic_SOFTSIGN', `+156')
define(`Cyrillic_TE', `+146')
define(`Cyrillic_TSE', `+150')
define(`Cyrillic_U', `+147')
define(`Cyrillic_VE', `+130')
define(`Cyrillic_YA', `+159')
define(`Cyrillic_YERU', `+155')
define(`Cyrillic_YU', `+158')
define(`Cyrillic_ZE', `+135')
define(`Cyrillic_ZHE', `+134')
define(`Cyrillic_a', `+160')
define(`Cyrillic_be', `+161')
define(`Cyrillic_che', `+231')
define(`Cyrillic_de', `+164')
define(`Cyrillic_e', `+237')
define(`Cyrillic_ef', `+228')
define(`Cyrillic_el', `+171')
define(`Cyrillic_em', `+172')
define(`Cyrillic_en', `+173')
define(`Cyrillic_er', `+224')
define(`Cyrillic_es', `+225')
define(`Cyrillic_ghe', `+163')
define(`Cyrillic_ha', `+229')
define(`Cyrillic_hardsign', `+234')
define(`Cyrillic_i', `+168')
define(`Cyrillic_ie', `+165')
define(`Cyrillic_io', `+241')
define(`Cyrillic_ka', `+170')
define(`Cyrillic_o', `+174')
define(`Cyrillic_pe', `+175')
define(`Cyrillic_sha', `+232')
define(`Cyrillic_shcha', `+233')
define(`Cyrillic_shorti', `+169')
define(`Cyrillic_softsign', `+236')
define(`Cyrillic_te', `+226')
define(`Cyrillic_tse', `+230')
define(`Cyrillic_u', `+227')
define(`Cyrillic_ve', `+162')
define(`Cyrillic_ya', `+239')
define(`Cyrillic_yeru', `+235')
define(`Cyrillic_yu', `+238')
define(`Cyrillic_ze', `+167')
define(`Cyrillic_zhe', `+166')')

ifdef(`iso-8859-5',
`define(`Cyrillic_A', `+176')
define(`Cyrillic_BE', `+177')
define(`Cyrillic_CHE', `+199')
define(`Cyrillic_DE', `+180')
define(`Cyrillic_E', `+205')
define(`Cyrillic_EF', `+196')
define(`Cyrillic_EL', `+187')
define(`Cyrillic_EM', `+188')
define(`Cyrillic_EN', `+189')
define(`Cyrillic_ER', `+192')
define(`Cyrillic_ES', `+193')
define(`Cyrillic_GHE', `+179')
define(`Cyrillic_HA', `+197')
define(`Cyrillic_HARDSIGN', `+202')
define(`Cyrillic_I', `+184')
define(`Cyrillic_IE', `+181')
define(`Cyrillic_IO', `+161')
define(`Cyrillic_KA', `+186')
define(`Cyrillic_O', `+190')
define(`Cyrillic_PE', `+191')
define(`Cyrillic_SHA', `+200')
define(`Cyrillic_SHCHA', `+201')
define(`Cyrillic_SHORTI', `+185')
define(`Cyrillic_SOFTSIGN', `+204')
define(`Cyrillic_TE', `+194')
define(`Cyrillic_TSE', `+198')
define(`Cyrillic_U', `+195')
define(`Cyrillic_VE', `+178')
define(`Cyrillic_YA', `+207')
define(`Cyrillic_YERU', `+203')
define(`Cyrillic_YU', `+206')
define(`Cyrillic_ZE', `+183')
define(`Cyrillic_ZHE', `+182')
define(`Cyrillic_a', `+208')
define(`Cyrillic_be', `+209')
define(`Cyrillic_che', `+231')
define(`Cyrillic_de', `+212')
define(`Cyrillic_e', `+237')
define(`Cyrillic_ef', `+228')
define(`Cyrillic_el', `+219')
define(`Cyrillic_em', `+220')
define(`Cyrillic_en', `+221')
define(`Cyrillic_er', `+224')
define(`Cyrillic_es', `+225')
define(`Cyrillic_ghe', `+211')
define(`Cyrillic_ha', `+229')
define(`Cyrillic_hardsign', `+234')
define(`Cyrillic_i', `+216')
define(`Cyrillic_ie', `+213')
define(`Cyrillic_io', `+241')
define(`Cyrillic_ka', `+218')
define(`Cyrillic_o', `+222')
define(`Cyrillic_pe', `+223')
define(`Cyrillic_sha', `+232')
define(`Cyrillic_shcha', `+233')
define(`Cyrillic_shorti', `+217')
define(`Cyrillic_softsign', `+236')
define(`Cyrillic_te', `+226')
define(`Cyrillic_tse', `+230')
define(`Cyrillic_u', `+227')
define(`Cyrillic_ve', `+210')
define(`Cyrillic_ya', `+239')
define(`Cyrillic_yeru', `+235')
define(`Cyrillic_yu', `+238')
define(`Cyrillic_ze', `+215')
define(`Cyrillic_zhe', `+214')')

ifdef(`koi8-r',
`define(`Cyrillic_A', `+225')
define(`Cyrillic_BE', `+226')
define(`Cyrillic_CHE', `+254')
define(`Cyrillic_DE', `+228')
define(`Cyrillic_E', `+252')
define(`Cyrillic_EF', `+230')
define(`Cyrillic_EL', `+236')
define(`Cyrillic_EM', `+237')
define(`Cyrillic_EN', `+238')
define(`Cyrillic_ER', `+242')
define(`Cyrillic_ES', `+243')
define(`Cyrillic_GHE', `+231')
define(`Cyrillic_HA', `+232')
define(`Cyrillic_HARDSIGN', `+255')
define(`Cyrillic_I', `+233')
define(`Cyrillic_IE', `+229')
define(`Cyrillic_IO', `+179')
define(`Cyrillic_KA', `+235')
define(`Cyrillic_O', `+239')
define(`Cyrillic_PE', `+240')
define(`Cyrillic_SHA', `+251')
define(`Cyrillic_SHCHA', `+253')
define(`Cyrillic_SHORTI', `+234')
define(`Cyrillic_SOFTSIGN', `+248')
define(`Cyrillic_TE', `+244')
define(`Cyrillic_TSE', `+227')
define(`Cyrillic_U', `+245')
define(`Cyrillic_VE', `+247')
define(`Cyrillic_YA', `+241')
define(`Cyrillic_YERU', `+249')
define(`Cyrillic_YU', `+224')
define(`Cyrillic_ZE', `+250')
define(`Cyrillic_ZHE', `+246')
define(`Cyrillic_a', `+193')
define(`Cyrillic_be', `+194')
define(`Cyrillic_che', `+222')
define(`Cyrillic_de', `+196')
define(`Cyrillic_e', `+220')
define(`Cyrillic_ef', `+198')
define(`Cyrillic_el', `+204')
define(`Cyrillic_em', `+205')
define(`Cyrillic_en', `+206')
define(`Cyrillic_er', `+210')
define(`Cyrillic_es', `+211')
define(`Cyrillic_ghe', `+199')
define(`Cyrillic_ha', `+200')
define(`Cyrillic_hardsign', `+223')
define(`Cyrillic_i', `+201')
define(`Cyrillic_ie', `+197')
define(`Cyrillic_io', `+163')
define(`Cyrillic_ka', `+203')
define(`Cyrillic_o', `+207')
define(`Cyrillic_pe', `+208')
define(`Cyrillic_sha', `+219')
define(`Cyrillic_shcha', `+221')
define(`Cyrillic_shorti', `+202')
define(`Cyrillic_softsign', `+216')
define(`Cyrillic_te', `+212')
define(`Cyrillic_tse', `+195')
define(`Cyrillic_u', `+213')
define(`Cyrillic_ve', `+215')
define(`Cyrillic_ya', `+209')
define(`Cyrillic_yeru', `+217')
define(`Cyrillic_yu', `+192')
define(`Cyrillic_ze', `+218')
define(`Cyrillic_zhe', `+214')')

ifdef(`utf-8',
`define(`Cyrillic_A', `U+0410')
define(`Cyrillic_BE', `U+0411')
define(`Cyrillic_CHE', `U+0427')
define(`Cyrillic_DE', `U+0414')
define(`Cyrillic_E', `U+042D')
define(`Cyrillic_EF', `U+0424')
define(`Cyrillic_EL', `U+041B')
define(`Cyrillic_EM', `U+041C')
define(`Cyrillic_EN', `U+041D')
define(`Cyrillic_ER', `U+0420')
define(`Cyrillic_ES', `U+0421')
define(`Cyrillic_GHE', `U+0413')
define(`Cyrillic_HA', `U+0425')
define(`Cyrillic_HARDSIGN', `U+042A')
define(`Cyrillic_I', `U+0418')
define(`Cyrillic_IE', `U+0415')
define(`Cyrillic_IO', `U+0401')
define(`Cyrillic_KA', `U+041A')
define(`Cyrillic_O', `U+041E')
define(`Cyrillic_PE', `U+041F')
define(`Cyrillic_SHA', `U+0428')
define(`Cyrillic_SHCHA', `U+0429')
define(`Cyrillic_SHORTI', `U+0419')
define(`Cyrillic_SOFTSIGN', `U+042C')
define(`Cyrillic_TE', `U+0422')
define(`Cyrillic_TSE', `U+0426')
define(`Cyrillic_U', `U+0423')
define(`Cyrillic_VE', `U+0412')
define(`Cyrillic_YA', `U+042F')
define(`Cyrillic_YERU', `U+042B')
define(`Cyrillic_YU', `U+042E')
define(`Cyrillic_ZE', `U+0417')
define(`Cyrillic_ZHE', `U+0416')
define(`Cyrillic_a', `U+0430')
define(`Cyrillic_be', `U+0431')
define(`Cyrillic_che', `U+0447')
define(`Cyrillic_de', `U+0434')
define(`Cyrillic_e', `U+044D')
define(`Cyrillic_ef', `U+0444')
define(`Cyrillic_el', `U+043B')
define(`Cyrillic_em', `U+043C')
define(`Cyrillic_en', `U+043D')
define(`Cyrillic_er', `U+0440')
define(`Cyrillic_es', `U+0441')
define(`Cyrillic_ghe', `U+0433')
define(`Cyrillic_ha', `U+0445')
define(`Cyrillic_hardsign', `U+044A')
define(`Cyrillic_i', `U+0438')
define(`Cyrillic_ie', `U+0435')
define(`Cyrillic_io', `U+0451')
define(`Cyrillic_ka', `U+043A')
define(`Cyrillic_o', `U+043E')
define(`Cyrillic_pe', `U+043F')
define(`Cyrillic_sha', `U+0448')
define(`Cyrillic_shcha', `U+0449')
define(`Cyrillic_shorti', `U+0439')
define(`Cyrillic_softsign', `U+044C')
define(`Cyrillic_te', `U+0442')
define(`Cyrillic_tse', `U+0446')
define(`Cyrillic_u', `U+0443')
define(`Cyrillic_ve', `U+0432')
define(`Cyrillic_ya', `U+044F')
define(`Cyrillic_yeru', `U+044B')
define(`Cyrillic_yu', `U+044E')
define(`Cyrillic_ze', `U+0437')
define(`Cyrillic_zhe', `U+0436')')
