dnl ***
dnl ** Choose one of the keyboard lock options for m4:
dnl **     -Dalt_lk -Dcaps_lk -Dctrl_lk -Dctrl_shift_lk -Dwin_lk
dnl ***
divert(-1)

include(`layout.m4')
include(`charmap.m4')

undefine(`shift')

divert(0)dnl
#
# Generated from ru.m4
#
keymaps 0-4,6,8-12,14
keycode 1 =   Escape Escape Escape Escape VoidSymbol VoidSymbol Meta_Escape VoidSymbol Meta_Escape
keycode 2 =   Xkb_AE01_1 Xkb_AE01_2 Xkb_AE01_3 Xkb_AE01_4 VoidSymbol VoidSymbol Meta_one Meta_exclam Meta_one Meta_exclam
keycode 3 =   Xkb_AE02_1 Xkb_AE02_2 Xkb_AE02_3 Xkb_AE02_4 nul nul Meta_two Meta_at Meta_two Meta_at
keycode 4 =   Xkb_AE03_1 Xkb_AE03_2 Xkb_AE03_3 Xkb_AE03_4 Escape Escape Meta_three Meta_numbersign Meta_three Meta_numbersign
keycode 5 =   Xkb_AE04_1 Xkb_AE04_2 Xkb_AE04_3 Xkb_AE04_4 Control_backslash Control_backslash Meta_four Meta_dollar Meta_four Meta_dollar
keycode 6 =   Xkb_AE05_1 Xkb_AE05_2 Xkb_AE05_3 Xkb_AE05_4 Control_bracketright Control_bracketright Meta_five Meta_percent Meta_five Meta_percent
keycode 7 =   Xkb_AE06_1 Xkb_AE06_2 Xkb_AE06_3 Xkb_AE06_4 Control_asciicircum Control_asciicircum Meta_six Meta_asciicircum Meta_six Meta_asciicircum
keycode 8 =   Xkb_AE07_1 Xkb_AE07_2 Xkb_AE07_3 Xkb_AE07_4 Control_underscore Control_underscore Meta_seven Meta_ampersand Meta_seven Meta_ampersand
keycode 9 =   Xkb_AE08_1 Xkb_AE08_2 Xkb_AE08_3 Xkb_AE08_4 Delete Delete Meta_eight Meta_asterisk Meta_eight Meta_asterisk
keycode 10 =  Xkb_AE09_1 Xkb_AE09_2 Xkb_AE09_3 Xkb_AE09_4 VoidSymbol VoidSymbol Meta_nine Meta_parenleft Meta_nine Meta_parenleft
keycode 11 =  Xkb_AE10_1 Xkb_AE10_2 Xkb_AE10_3 Xkb_AE10_4 VoidSymbol VoidSymbol Meta_zero Meta_parenright Meta_zero parenright
keycode 12 =  Xkb_AE11_1 Xkb_AE11_2 Xkb_AE11_3 Xkb_AE11_4 Control_underscore Control_underscore Meta_minus Meta_underscore Meta_minus Meta_underscore
keycode 13 =  Xkb_AE12_1 Xkb_AE12_2 Xkb_AE12_3 Xkb_AE12_4 VoidSymbol VoidSymbol Meta_equal Meta_plus Meta_equal Meta_plus
keycode 14 =  BackSpace BackSpace BackSpace BackSpace VoidSymbol VoidSymbol Meta_Delete VoidSymbol Meta_Delete
keycode 15 =  Tab Tab Tab Tab VoidSymbol VoidSymbol Meta_Tab VoidSymbol Meta_Tab
keycode 16 =  +q +Q Cyrillic_shorti Cyrillic_SHORTI Control_q Control_q Meta_q Meta_Q Meta_q Meta_Q Meta_Control_q Meta_Control_q
keycode 17 =  +w +W Cyrillic_tse Cyrillic_TSE Control_w Control_w Meta_w Meta_W Meta_w Meta_W Meta_Control_w Meta_Control_w
keycode 18 =  +e +E Cyrillic_u Cyrillic_U Control_e Control_e Meta_e Meta_E Meta_e Meta_E Meta_Control_e Meta_Control_e
keycode 19 =  +r +R Cyrillic_ka Cyrillic_KA Control_r Control_r Meta_r Meta_R Meta_r Meta_R Meta_Control_r Meta_Control_r
keycode 20 =  +t +T Cyrillic_ie Cyrillic_IE Control_t Control_t Meta_t Meta_T Meta_t Meta_T Meta_Control_t Meta_Control_t
keycode 21 =  +y +Y Cyrillic_en Cyrillic_EN Control_y Control_y Meta_y Meta_Y Meta_y Meta_Y Meta_Control_y Meta_Control_y
keycode 22 =  +u +U Cyrillic_ghe Cyrillic_GHE Control_u Control_u Meta_u Meta_U Meta_u Meta_U Meta_Control_u Meta_Control_u
keycode 23 =  +i +I Cyrillic_sha Cyrillic_SHA Tab Tab Meta_i Meta_I Meta_i Meta_I Meta_Control_i Meta_Control_i
keycode 24 =  +o +O Cyrillic_shcha Cyrillic_SHCHA Control_o Control_o Meta_o Meta_O Meta_o Meta_O Meta_Control_o Meta_Control_o
keycode 25 =  +p +P Cyrillic_ze Cyrillic_ZE Control_p Control_p Meta_p Meta_P Meta_p Meta_P Meta_Control_p Meta_Control_p
keycode 26 =  bracketleft braceleft Cyrillic_ha Cyrillic_HA Escape Escape Meta_bracketleft Meta_braceleft Meta_bracketleft Meta_braceleft
keycode 27 =  bracketright braceright Cyrillic_hardsign Cyrillic_HARDSIGN Control_bracketright Control_bracketright Meta_bracketright Meta_braceright Meta_bracketright Meta_braceright Meta_Control_bracketright Meta_Control_bracketright
keycode 28 =  Return
        alt keycode 28 = Meta_Control_m
  altgr alt keycode 28 = Meta_Control_m
keycode 29 =  Control
keycode 30 =  +a +A Cyrillic_ef Cyrillic_EF Control_a Control_a Meta_a Meta_A Meta_a Meta_A Meta_Control_a Meta_Control_a
keycode 31 =  +s +S Cyrillic_yeru Cyrillic_YERU Control_s Control_s Meta_s Meta_S Meta_s Meta_S Meta_Control_s Meta_Control_s
keycode 32 =  +d +D Cyrillic_ve Cyrillic_VE Control_d Control_d Meta_d Meta_D Meta_d Meta_D Meta_Control_d Meta_Control_d
keycode 33 =  +f +F Cyrillic_a Cyrillic_A Control_f Control_f Meta_f Meta_F Meta_f Meta_F Meta_Control_f Meta_Control_f
keycode 34 =  +g +G Cyrillic_pe Cyrillic_PE Control_g Control_g Meta_g Meta_G Meta_g Meta_G Meta_Control_g Meta_Control_g
keycode 35 =  +h +H Cyrillic_er Cyrillic_ER BackSpace BackSpace Meta_h Meta_H Meta_h Meta_H Meta_Control_h Meta_Control_h
keycode 36 =  +j +J Cyrillic_o Cyrillic_O Linefeed Linefeed Meta_j Meta_J Meta_j Meta_J Meta_Control_j Meta_Control_j
keycode 37 =  +k +K Cyrillic_el Cyrillic_EL Control_k Control_k Meta_k Meta_K Meta_k Meta_K Meta_Control_k Meta_Control_k
keycode 38 =  +l +L Cyrillic_de Cyrillic_DE Control_l Control_l Meta_l Meta_L Meta_l Meta_L Meta_Control_l Meta_Control_l
keycode 39 =  semicolon colon Cyrillic_zhe Cyrillic_ZHE VoidSymbol VoidSymbol Meta_semicolon Meta_colon Meta_semicolon Meta_colon
keycode 40 =  apostrophe quotedbl Cyrillic_e Cyrillic_E Control_g Control_g Meta_apostrophe Meta_quotedbl Meta_apostrophe Meta_quotedbl
keycode 41 =  Xkb_TLDE_1 Xkb_TLDE_2 Xkb_TLDE_3 Xkb_TLDE_4 nul nul Meta_grave Meta_asciitilde Meta_grave Meta_asciitilde
keycode 42 =  Shift
ifdef(`ctrl_shift_lk',
`        control keycode 42 =  AltGr_Lock
  altgr control keycode 42 =  AltGr_Lock', `dnl')
keycode 43 =  Xkb_BKSL_1 Xkb_BKSL_2 Xkb_BKSL_3 Xkb_BKSL_4 Control_backslash Control_backslash Meta_backslash Meta_bar Meta_backslash Meta_bar Meta_Control_backslash Meta_Control_backslash
keycode 44 =  +z +Z Cyrillic_ya Cyrillic_YA Control_z Control_z Meta_z Meta_Z Meta_z Meta_Z Meta_Control_z Meta_Control_z
keycode 45 =  +x +X Cyrillic_che Cyrillic_CHE Control_x Control_x Meta_x Meta_X Meta_x Meta_X Meta_Control_x Meta_Control_x
keycode 46 =  +c +C Cyrillic_es Cyrillic_ES Control_c Control_c Meta_c Meta_C Meta_c Meta_C Meta_Control_c Meta_Control_c
keycode 47 =  +v +V Cyrillic_em Cyrillic_EM Control_v Control_v Meta_v Meta_V Meta_v Meta_V Meta_Control_v Meta_Control_v
keycode 48 =  +b +B Cyrillic_i Cyrillic_I Control_b Control_b Meta_b Meta_B Meta_b Meta_B Meta_Control_b Meta_Control_b
keycode 49 =  +n +N Cyrillic_te Cyrillic_TE Control_n Control_n Meta_n Meta_N Meta_n Meta_N Meta_Control_n Meta_Control_n
keycode 50 =  +m +M Cyrillic_softsign Cyrillic_SOFTSIGN Control_m Control_m Meta_m Meta_M Meta_m Meta_M Meta_Control_m Meta_Control_m
keycode 51 =  comma less Cyrillic_be Cyrillic_BE VoidSymbol VoidSymbol Meta_comma Meta_less Meta_comma Meta_less
keycode 52 =  period greater Cyrillic_yu Cyrillic_YU VoidSymbol VoidSymbol Meta_period Meta_greater Meta_period Meta_greater
keycode 53 =  Xkb_AB10_1 Xkb_AB10_2 Xkb_AB10_3 Xkb_AB10_4 Delete Delete Meta_slash Meta_question Meta_slash Meta_question
keycode 54 =  Shift
keycode 55 =  KP_Multiply
keycode 56 =  Alt
keycode 57 =  space space space space nul nul Meta_space VoidSymbol Meta_space
ifdef(`caps_lk', `keycode 58 =  AltGr_Lock Caps_Lock AltGr_Lock Caps_Lock', `keycode 58 =  Caps_Lock')
keycode 59 =  F1 F11 F1 F11 F1 F1 Console_1 VoidSymbol Console_1
keycode 60 =  F2 F12 F2 F12 F2 F2 Console_2 VoidSymbol Console_2
keycode 61 =  F3 F13 F3 F13 F3 F3 Console_3 VoidSymbol Console_3
keycode 62 =  F4 F14 F4 F14 F4 F4 Console_4 VoidSymbol Console_4
keycode 63 =  F5 F15 F5 F15 F5 F5 Console_5 VoidSymbol Console_5
keycode 64 =  F6 F16 F6 F16 F6 F6 Console_6 VoidSymbol Console_6
keycode 65 =  F7 F17 F7 F17 F7 F7 Console_7 VoidSymbol Console_7
keycode 66 =  F8 F18 F8 F18 F8 F8 Console_8 VoidSymbol Console_8
keycode 67 =  F9 F19 F9 F19 F9 F9 Console_9 VoidSymbol Console_9
keycode 68 =  F10 F20 F10 F20 F10 F10 Console_10 VoidSymbol Console_10
keycode 69 =  Num_Lock
keycode 70 =  Scroll_Lock Show_Memory Scroll_Lock Show_Memory Show_State Show_State Show_Registers VoidSymbol Show_Registers
keycode 71 =  KP_7 KP_7 KP_7 KP_7 KP_7 KP_7 Ascii_7 VoidSymbol Ascii_7
keycode 72 =  KP_8 KP_8 KP_8 KP_8 KP_8 KP_8 Ascii_8 VoidSymbol Ascii_8
keycode 73 =  KP_9 KP_9 KP_9 KP_9 KP_9 KP_9 Ascii_9 VoidSymbol Ascii_9
keycode 74 =  KP_Subtract
keycode 75 =  KP_4 KP_4 KP_4 KP_4 KP_4 KP_4 Ascii_4 VoidSymbol Ascii_4
keycode 76 =  KP_5 KP_5 KP_5 KP_5 KP_5 KP_5 Ascii_5 VoidSymbol Ascii_5
keycode 77 =  KP_6 KP_6 KP_6 KP_6 KP_6 KP_6 Ascii_6 VoidSymbol Ascii_6
keycode 78 =  KP_Add
keycode 79 =  KP_1 KP_1 KP_1 KP_1 KP_1 KP_1 Ascii_1 VoidSymbol Ascii_1
keycode 80 =  KP_2 KP_2 KP_2 KP_2 KP_2 KP_2 Ascii_2 VoidSymbol Ascii_2
keycode 81 =  KP_3 KP_3 KP_3 KP_3 KP_3 KP_3 Ascii_3 VoidSymbol Ascii_3
keycode 82 =  KP_0 KP_0 KP_0 KP_0 KP_0 KP_0 Ascii_0 VoidSymbol Ascii_0
keycode 83 =  KP_Period
        control alt keycode 83 = Boot
  altgr control alt keycode 83 = Boot
keycode 84 =  Last_Console
keycode 85 =
keycode 86 =  less greater bar
        alt keycode 86 = Meta_less
keycode 87 =  F11 F11 F11 F11 F11 F11 Console_11 VoidSymbol Console_11
keycode 88 =  F12 F12 F12 F12 F12 F12 Console_12 VoidSymbol Console_12
keycode 89 =
keycode 90 =
keycode 91 =
keycode 92 =
keycode 93 =
keycode 94 =
keycode 95 =
keycode 96 =  KP_Enter
ifdef(`ctrl_lk', `keycode 97 =  AltGr_Lock', `keycode 97 =  Control')
keycode 98 =  KP_Divide
keycode 99 =  Control_backslash Control_backslash Control_backslash Control_backslash Control_backslash Control_backslash Control_backslash VoidSymbol Control_backslash
ifdef(`alt_lk', `keycode 100 = AltGr_Lock', `keycode 100 = AltGr')
keycode 101 = Break
keycode 102 = Find
keycode 103 = Up
keycode 104 = Prior Scroll_Backward Prior Scroll_Backward
keycode 105 = Left Left Left Left Left Left Decr_Console VoidSymbol Decr_Console
keycode 106 = Right Right Right Right Right Right Incr_Console VoidSymbol Incr_Console
keycode 107 = Select
keycode 108 = Down
keycode 109 = Next Scroll_Forward Next Scroll_Forward
keycode 110 = Insert
keycode 111 = Remove
        control alt keycode 111 = Boot
  altgr control alt keycode 111 = Boot
keycode 112 =
keycode 113 =
keycode 114 =
keycode 115 =
keycode 116 =
keycode 117 =
keycode 118 =
keycode 119 =
keycode 120 =
keycode 121 =
keycode 122 =
keycode 123 =
keycode 124 =
keycode 125 =
ifdef(`win_lk', `keycode 126 = AltGr_Lock', `keycode 126 =')
ifdef(`win_lk', `keycode 127 = AltGr_Lock', `keycode 127 =')
string F1 = "\033[[A"
string F2 = "\033[[B"
string F3 = "\033[[C"
string F4 = "\033[[D"
string F5 = "\033[[E"
string F6 = "\033[17~"
string F7 = "\033[18~"
string F8 = "\033[19~"
string F9 = "\033[20~"
string F10 = "\033[21~"
string F11 = "\033[23~"
string F12 = "\033[24~"
string F13 = "\033[25~"
string F14 = "\033[26~"
string F15 = "\033[28~"
string F16 = "\033[29~"
string F17 = "\033[31~"
string F18 = "\033[32~"
string F19 = "\033[33~"
string F20 = "\033[34~"
string Find = "\033[1~"
string Insert = "\033[2~"
string Remove = "\033[3~"
string Select = "\033[4~"
string Prior = "\033[5~"
string Next = "\033[6~"
